Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration
Class DefaultObjectStoreFactory

    java.lang.Object
      org.apache.cayenne.configuration.DefaultObjectStoreFactory

All Implemented Interfaces:
  ObjectStoreFactory

    public class DefaultObjectStoreFactory

extends java.lang.Object
implements ObjectStoreFactory

A default implementation of `ObjectStoreFactory` which makes decision to turn `ObjectStore`'s syncing with parent `DataRowStore` on or off basing on `RuntimeProperties`.

Since:
  3.1

Field Summary
`protected ObjectMapRetainStrategy` | `retainStrategy`
`protected RuntimeProperties` | `runtimeProperties`

Fields inherited from interface org.apache.cayenne.configuration.ObjectStoreFactory
`SYNC_PROPERTY`

Constructor Summary
`DefaultObjectStoreFactory()`

Method Summary
`ObjectStore` | `createObjectStore(DataRowStore dataRowCache)` Creates an `ObjectStore` with provided dataRowCache

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### runtimeProperties

    protected RuntimeProperties runtimeProperties

### retainStrategy

    protected ObjectMapRetainStrategy retainStrategy

Constructor Detail

### DefaultObjectStoreFactory

    public DefaultObjectStoreFactory()

Method Detail

### createObjectStore

    public ObjectStore createObjectStore(DataRowStore dataRowCache)

  Description copied from interface: `ObjectStoreFactory`
  Creates an `ObjectStore` with provided dataRowCache

  Specified by:
    `createObjectStore` in interface `ObjectStoreFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 Apache Cayenne. All Rights Reserved.